package com.emato.cus.supervise.service.omsshop.impl;

import com.emato.cus.supervise.domain.WmsAcqShelfLoad;
import com.emato.cus.supervise.domainOmsShop.OmsShopAcqShelfLoad;
import com.emato.cus.supervise.mapper.WmsAcqShelfLoadMapper;
import com.emato.cus.supervise.mapperOmsShop.OmsShopAcqShelfLoadMapper;
import com.emato.cus.supervise.service.omsshop.OmsShopAcqShelfLoadService;
import com.emato.cus.supervise.service.wms.WmsAcqShelfLoadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 门店货物上下架数据  Oms 门店
 *
 * @author Scott Chen
 * @version 1.0
 * 2020-03-30 11:27
 */
@Service
public class OmsShopAcqShelfLoadServiceImpl implements OmsShopAcqShelfLoadService {

    @Autowired
    private OmsShopAcqShelfLoadMapper omsShopAcqShelfLoadMapper;

    /**
     * OMS 门店入场 即上架 出区
     * @param param
     * @return
     */
    @Override
    @Transactional(value ="thirdTransactionManager")
    public List<OmsShopAcqShelfLoad> getOmsShopAcqShelfLoadUp(Map<String, Object> param){
        return omsShopAcqShelfLoadMapper.getOmsShopAcqShelfLoadUp(param);
    }

    /**
     * OMS 门店出场  即下架 返区
     *
     * @param param
     * @return
     */
    @Override
    @Transactional(value ="thirdTransactionManager")
    public List<OmsShopAcqShelfLoad> getOmsShopAcqShelfLoadDown(Map<String, Object> param) {
        return omsShopAcqShelfLoadMapper.getOmsShopAcqShelfLoadDown(param);
    }


    /**
     * OMS 门店销售 即下架
     *
     * @param param
     * @return
     */
    @Override
    @Transactional(value ="thirdTransactionManager")
    public List<OmsShopAcqShelfLoad> getOmsShopAcqShelfLoadSaleDown(Map<String, Object> param) {
        return omsShopAcqShelfLoadMapper.getOmsShopAcqShelfLoadSaleDown(param);
    }


}
