package com.emato.cus.supervise.util.snow;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 雪花算法生成ID
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-26 16:06
 */
@Configuration
public class SnowflakeConfiguration {

    @Autowired
    private DistributedSystemProperties distributedSystemProperties;

    @Bean
    public SnowflakeIdWorker snowflakeIdWorker() {
        return new SnowflakeIdWorker(
                distributedSystemProperties.getWorkerId(),
                distributedSystemProperties.getDatacenterId()
        );
    }

}
